//--------------------------------------------------------------
// File     : main.c
// Datum    : 05.11.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der TM1638-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_tm1638.h"



int main(void)
{
  uint8_t wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom TM1638
  UB_TM1638_Init();

  // Display einschalten (niedrigste Helligkeit)
  UB_TM1638_Display_On(0);

  // 8Stellige Hex-Zahl anzeigen
  UB_TM1638_7Seg_Hex(0x1234ABCD);

  while(1)
  {
    // status der 8Tasten abfragen
    wert=UB_MT1638_Get_Key();
    // an den 8LEDs ausgeben
    UB_TM1638_LED_Value(wert);
  }
}

